(***********************************************************************
 *
 * demo1.lpr
 *
 * Copyright (c) 2016 Michel Deslierres
 * All rights reserved. Tous droits réservés.
 *
 * Read full license in the file license.txt
 * Lire la licence au complet dans le fichier license.txt
 *
 *************************************************************************)

program demo1;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}
    {$IFDEF UseCThreads}cthreads,{$ENDIF}
    clocale, // see mdMathTokenizer
    {$IF defined(DARWIN) and (FPC_FULLVERSION>=2710)}
    iosxlocale, // will supercede clocale changes
    {$ENDIF}
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms,
  ParserTypes, ParserConsts, mdMathTokenizer, mdMathEvaluator, MiniMath,
  environment, fpuexceptionsinfo, Info, Options, Main
  ;

{$R *.res}

begin
  RequireDerivedFormResource:=True;
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TFpuExceptionInfoForm, FpuExceptionInfoForm);
  Application.CreateForm(TContextInfoForm, ContextInfoForm);
  Application.CreateForm(TOptionsForm, OptionsForm);
  Application.Run;
end.

