(***********************************************************************
 *
 * info.pas
 *
 * Copyright (c) 2016 Michel Deslierres
 * All rights reserved. Tous droits réservés.
 *
 * Read full license in the file license.txt
 * Lire la licence au complet dans le fichier license.txt
 *
 *************************************************************************)

unit Info;

{$IFDEF FPC}
  {$mode objfpc}
  {$h+ }
{$ENDIF}

interface

uses
  {$IFnDEF FPC}
    Windows,
  {$ELSE}
    //Interfaces,
  {$ENDIF}
  SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type

  { TContextInfoForm }

  TContextInfoForm = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormShow(Sender: TObject);
  private
    { Déclarations privées }
  public
    { Déclarations publiques }
    procedure RefreshInfo;
  end;

var
  ContextInfoForm: TContextInfoForm;

implementation

{$R *.lfm}


uses
  Main, environment;

procedure TContextInfoForm.FormShow(Sender: TObject);
begin
  RefreshInfo;
end;

procedure TContextInfoForm.RefreshInfo;
begin
  GetEnvironmentInfo(Memo1.Lines);
end;

procedure TContextInfoForm.Button1Click(Sender: TObject);
begin
  Close
end;

procedure TContextInfoForm.FormClose(Sender: TObject;
  var CloseAction: TCloseAction);
begin
  MainForm.SpeedButton1.Down := false;
end;

end.
